For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Get a simulation case

||View as Markdown|
GET
/simulation_cases/:simulation_case_id
GET
/v2/simulation_cases/:simulation_case_id
$curl https://api.synthflow.ai/v2/simulation_cases/simulation_case_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "simulation_case_id": "string",
5 "workspace_id": "string",
6 "suite_id": "string",
7 "name": "string",
8 "prompt": "string",
9 "type": "custom",
10 "success_criteria": [
11 "string"
12 ],
13 "call_success_type": "all",
14 "base_agent": {
15 "model_id": "string",
16 "agent_name": "string",
17 "agent_type": "string",
18 "voice_engine_type": "string",
19 "phone_number": "string",
20 "updated_at": "2024-01-15T09:30:00Z",
21 "image_url": "string"
22 },
23 "created_at": "2024-01-15T09:30:00Z",
24 "updated_at": "2024-01-15T09:30:00Z"
25 }
26}
Retrieve a simulation case by ID.
Was this page helpful?
Previous

Update a simulation case

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

simulation_case_idstringRequired
Simulation case ID.

Response

200
statusstring
Whether the request was successful.
responseobject
Simulation case details.

Errors

400
Bad Request Error
404
Not Found Error